local L = LibStub("AceLocale-3.0"):NewLocale("QuickStrat", "enUS", true)

-- Chat commands
L["quickstrat"] = true
L["qs"] = true

L["Welcome Home!"] = true -- default message

L["Message"] = true
L["The message to be displayed when you get home."] = true
L["<Your message>"] = true -- usage

L["Show in Chat"] = true
L["Toggles the display of the message in the chat window."] = true

L["Show on Screen"] = true
L["Toggles the display of the message on the screen."] = true


L["strats"] = {
	["Dalaran"] = {
		["Aquanos"] = {
			["x"] = 43.1,
			["y"] = 48.8,
			["parts"] = {
				"Aquanos is in a tub, what's up with that?", -- [1]
			},
		},
	},
	["The Forge of Souls"] = {
		["Bronjahm"] = {
			["y"] = 55.19553422927856,
			["x"] = 43.81405115127563,
			["parts"] = {
				"Phase 1\nPeriodically Bronjahm will cast a Drain Soul-like spell that creates a Corrupted Soul Fragment.\nThe fragment will head towards Bronjahm and heal him if it gets close.\n If you are targeted by the spell, run away from him; the tank should kite him away from his target to maximize the distance the fragment needs to travel.\nAll DPS switch to the fragment when it comes up.", -- [1]
				"Phase 2\nBronjahm will conjure a whirlwind, with himself in the eye. Being outside the eye causes damage, so everyone to the center of the room.\nBronjahm will cast fear randomly, if you get feared run back as soon as possible. The healer should watch for these victims and heal as appropriate.", -- [2]
			},
		},
		["Devourer of Souls"] = {
			["y"] = 17.98719167709351,
			["x"] = 48.10112118721008,
			["parts"] = {
				"Devourer of Souls as 3 main parts.\nMirrored Soul, during this part all DPS done to him is reflected to his target.  You must stop damage during Mirrored Soul.\nUnleash Souls will summon a bunch of small, untankable adds.  If you get alot of them on you just kite them.\nWailing Souls is a sweeping laser beam from the boss, dodge it.  The easiest was is when he begins casting Wailing Souls, get behind him."
			},
		},
	},
	["Azjol-Nerub"] = {
		["Hadronox"] = {
			["y"] = 59.45090651512146,
			["x"] = 82.31860399246216,
			["parts"] = {
				"Start by pulling the Crusher and two elites to the side. Kill them with the party near the wall.\nIn 2-3min Hadronox will arive, and begin fighting little mobs.  Leave him be.\nOnce he webs the doorway, he's a Tank n' Spank."
			},
		},
		["Anub'arak"] = {
			["y"] = 0,
			["x"] = 0,
			["parts"] = {
				"Shortly after the fight starts, a wall of web is raised around his platform which will lock group members out if you are not all inside. Be sure all party members are on or inside the ring before engaging.\nAnub'arak has a Pound which hits people infront of him, so melee from behind.\nWhen he submerges, DPS needs to kill the adds.\nIn praticular Anub'ar Venomancers need to die quickly as their poison is deadly.",
			},
		},
		["Krik'thir the Gatewatcher"] = {
			["y"] = 39.46296572685242,
			["x"] = 35.43433547019958,
			["parts"] = {
				"The Krik'thir fight is a chained event, once the first pull has been made, the others will come on a timer.\nAfter 3 waves the boss pulls.\nThe actual boss is a simple Tank n' Spank.",
			},
		},
	},
	["Halls of Stone"] = {
		["Sjonnir The Ironshaper"] = {
			["x"] = 49.9,
			["y"] = 15.5,
			["parts"] = {
				"Sjonnir is essentially a tank and spank these days.\nKill adds as they get to the center, slimes as soon as you can.  \nIt gets messy at the end, so AOE heals are a nice touch.", -- [1]
			},
		},
		["Maiden of Grief"] = {
			["x"] = 50,
			["y"] = 85.6,
			["parts"] = {
				"Maiden of Grief will cast Storm of Grief putting a big pile of Stupid™ on the floor.  Don't stand in the Stupid™", -- [1]
			},
		},
		["Krystallus"] = {
			["x"] = 40,
			["y"] = 63,
			["parts"] = {
				"Krystallus is a pretty normal Tank n' Spank.", -- [1]
			},
		},
		["Brann Bronzebeard"] = {
			["x"] = 84.9,
			["y"] = 80.5,
			["parts"] = {
				"Tribunal of Ages is the hardest encounter in Halls of Stone.\nWaves of mobs will rush the room, the tank should grab them as they come down the stairs and fight them on the stairs.\nDuring the final phase of the fight Searing Gaze will put a laser on the floor, moving around the room.  Don't get hit by the laser.\nAt the end of the final phase Brann Bronzebeard will kill any remaining mobs.  It is by design a hectic fight, good luck.", -- [1]
			},
		},
	},
	["Pit of Saron"] = {
		["Forgemaster Garfrost"] = {
			["parts"] = {
				"x", -- [1]
			},
		},
		["Rimefang"] = {
			["parts"] = {
				"x", -- [1]
			},
		},
		["Ick"] = {
			["parts"] = {
				"x", -- [1]
			},
		},
		["Fallen Warrior"] = {
			["parts"] = {
			},
		},
	},
}

